MetacatUI - Bug #6436

+ characters are not URL-encoded when part of a text search and are therefore being decoded in
metacat as a space character

02/28/2014 03:12 PM - Lauren Walker

Status: New Start date: 02/28/2014
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Bugzilla-ld:

Description

| will want to replace +'s with %2B's on the front end before passing them to Metacat - but this will only be effective with a fix in
Metacat to interpret %2B as +and not spaces (see bug 6435 in Metacat)

History

#1 - 03/26/2014 03:01 PM - Lauren Walker

- Target version changed from 1.5.0 to 1.6.0

It looks like Solr won't search and/or index special characters, depending on your configuration. I'll have to look into this further for 1.6.

#2 - 04/23/2014 12:55 PM - Lauren Walker
- Target version deleted (1.6.0)
